<?php

namespace App\Entities;

use App\Entities\CommonEntity;
use App\Models\BoardModel as Model;

class BoardEntity extends CommonEntity
{
    const PK = Model::PK;
    const TITLE = Model::TITLE;
    protected $attributes = [
        'category' => '',
        'title' => '',
        'status' => STATUS['AVAILABLE'],
        'content' => ''
    ];
    public function __construct(array|null $data = null)
    {
        parent::__construct($data);
    }
    final public function getUserUid(): int|null
    {
        return $this->attributes['user_uid'] ?? null;
    }
}
